
package de.ivu.elect.jee.exchange;

import java.net.URL;

public class XmlSchemaLoader {

  // NOTE, dass sich dieser Code nicht zwingend auf andere Packages übertragen lässt
  // (Ort der Schema-Dateien)
  public URL getSchemaLocation(String schemaFileName) {
    URL schemaLocation = Thread.currentThread().getContextClassLoader().getResource(schemaFileName);
    if (schemaLocation == null) {
      throw new RuntimeException("Die konfigurierte XML-Schema-Datei '" + schemaFileName
          + "' konnte nicht gefunden werden.");
    }

    return schemaLocation;
  }

}
